extern crate sdl2;

fn main() {
    let sdl = sdl2::init().unwrap();
    let video = sdl.video().unwrap();
    let window = video.window( 
        "Spijkerboor", 400, 400
    )
    .opengl()
    .build().unwrap();

    let gl_context = window.gl_create_context().unwrap();

    let mut event_pump = sdl.event_pump().unwrap();
    'main: loop {
        for event in event_pump.poll_iter() {
            match event {
                sdl2::event::Event::Quit { .. } => break 'main, _ => {}
            }
        }
    }
}
